# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7/build

# Include any dependencies generated for this target.
include third_party/CMakeFiles/argon2_lib.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include third_party/CMakeFiles/argon2_lib.dir/compiler_depend.make

# Include the progress variables for this target.
include third_party/CMakeFiles/argon2_lib.dir/progress.make

# Include the compile flags for this target's objects.
include third_party/CMakeFiles/argon2_lib.dir/flags.make

third_party/CMakeFiles/argon2_lib.dir/codegen:
.PHONY : third_party/CMakeFiles/argon2_lib.dir/codegen

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o: third_party/CMakeFiles/argon2_lib.dir/flags.make
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o: _deps/argon2-src/src/argon2.c
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o: third_party/CMakeFiles/argon2_lib.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o -MF CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o.d -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/argon2.c

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/argon2.c > CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.i

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/argon2.c -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.s

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o: third_party/CMakeFiles/argon2_lib.dir/flags.make
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o: _deps/argon2-src/src/core.c
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o: third_party/CMakeFiles/argon2_lib.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building C object third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o -MF CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o.d -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/core.c

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/core.c > CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.i

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/core.c -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.s

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o: third_party/CMakeFiles/argon2_lib.dir/flags.make
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o: _deps/argon2-src/src/blake2/blake2b.c
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o: third_party/CMakeFiles/argon2_lib.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building C object third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o -MF CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o.d -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/blake2/blake2b.c

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/blake2/blake2b.c > CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.i

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/blake2/blake2b.c -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.s

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o: third_party/CMakeFiles/argon2_lib.dir/flags.make
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o: _deps/argon2-src/src/thread.c
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o: third_party/CMakeFiles/argon2_lib.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building C object third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o -MF CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o.d -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/thread.c

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/thread.c > CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.i

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/thread.c -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.s

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o: third_party/CMakeFiles/argon2_lib.dir/flags.make
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o: _deps/argon2-src/src/encoding.c
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o: third_party/CMakeFiles/argon2_lib.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building C object third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o -MF CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o.d -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/encoding.c

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/encoding.c > CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.i

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/encoding.c -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.s

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o: third_party/CMakeFiles/argon2_lib.dir/flags.make
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o: _deps/argon2-src/src/opt.c
third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o: third_party/CMakeFiles/argon2_lib.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building C object third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o -MF CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o.d -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/opt.c

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/opt.c > CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.i

third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/_deps/argon2-src/src/opt.c -o CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.s

# Object files for target argon2_lib
argon2_lib_OBJECTS = \
"CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o" \
"CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o" \
"CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o" \
"CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o" \
"CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o" \
"CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o"

# External object files for target argon2_lib
argon2_lib_EXTERNAL_OBJECTS =

third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/argon2.c.o
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/core.c.o
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/blake2/blake2b.c.o
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/thread.c.o
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/encoding.c.o
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/__/_deps/argon2-src/src/opt.c.o
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/build.make
third_party/libargon2_lib.a: third_party/CMakeFiles/argon2_lib.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Linking C static library libargon2_lib.a"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && $(CMAKE_COMMAND) -P CMakeFiles/argon2_lib.dir/cmake_clean_target.cmake
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/argon2_lib.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
third_party/CMakeFiles/argon2_lib.dir/build: third_party/libargon2_lib.a
.PHONY : third_party/CMakeFiles/argon2_lib.dir/build

third_party/CMakeFiles/argon2_lib.dir/clean:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party && $(CMAKE_COMMAND) -P CMakeFiles/argon2_lib.dir/cmake_clean.cmake
.PHONY : third_party/CMakeFiles/argon2_lib.dir/clean

third_party/CMakeFiles/argon2_lib.dir/depend:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/ganome/Projects/SCAR-719/repos/scar-chat7 /home/ganome/Projects/SCAR-719/repos/scar-chat7/third_party /home/ganome/Projects/SCAR-719/repos/scar-chat7/build /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/third_party/CMakeFiles/argon2_lib.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : third_party/CMakeFiles/argon2_lib.dir/depend

